MySQL 5.6.x < 5.6.50 多個弱點 (2020 年 10 月 CPU)

medium Nessus Plugin ID 141796

Synopsis

遠端資料庫伺服器受到多個弱點影響。

描述

遠端主機上執行的 MySQL 版本是 5.6.50 之前的 5.6.x 版。因此,該應用程式受到「2020 年 10 月重大修補程式更新」公告所述的下列多個弱點影響:
- Oracle MySQL 的 MySQL Server 產品中存在的弱點 (元件:Server: Stored Procedure)。受到影響的支援版本是 5.6.49 與先前的版本、5.7.31 與先前的版本,以及 8.0.21 與先前的版本。攻擊此弱點的難度較小,經由多個通訊協定存取網路的高權限攻擊者可藉此入侵 MySQL 伺服器。若成功攻擊此弱點,未經授權即可造成 MySQL 伺服器懸置或經常重複性當機 (完全 DOS)。(CVE-2020-14672)

- Oracle MySQL 的 MySQL Server 產品中存在的弱點 (元件:Server: FTS)。受到影響的支援版本是 5.6.49 與先前的版本、5.7.31 與先前的版本,以及 8.0.21 與先前的版本。攻擊此弱點的難度較小,經由多個通訊協定存取網路的低權限攻擊者可藉此入侵 MySQL 伺服器。若成功攻擊此弱點,未經授權即可造成 MySQL 伺服器懸置或經常重複性當機 (完全 DOS)。(CVE-2020-14765)

- Oracle MySQL 的 MySQL Server 產品中存在的弱點 (元件:Server: Optimizer)。受到影響的支援版本是 5.6.49 與先前的版本、5.7.31 與先前的版本,以及 8.0.21 與先前的版本。攻擊此弱點的難度較小,經由多個通訊協定存取網路的低權限攻擊者可藉此入侵 MySQL 伺服器。若成功攻擊此弱點,未經授權即可造成 MySQL 伺服器懸置或經常重複性當機 (完全 DOS)。(CVE-2020-14769)

請注意,Nessus 並未測試這些問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

升級至 MySQL 5.6.50 或更新版本。

另請參閱

http://www.nessus.org/u?6a84ed85

Plugin 詳細資訊

嚴重性: Medium

ID: 141796

檔案名稱: mysql_5_6_50.nasl

版本: 1.8

類型: combined

代理程式: windows, macosx, unix

系列: Databases

已發布: 2020/10/22

已更新: 2022/5/11

支持的傳感器: Frictionless Assessment Agent, Nessus Agent

風險資訊

VPR

風險因素: Medium

分數: 4.4

CVSS v2

風險因素: Medium

基本分數: 6.8

時間分數: 5

媒介: AV:N/AC:L/Au:S/C:N/I:N/A:C

時間媒介: E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2020-14867

CVSS v3

風險因素: Medium

基本分數: 6.5

時間分數: 5.7

媒介: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

時間媒介: E:U/RL:O/RC:C

CVSS 評分資料來源: CVE-2020-14769

弱點資訊

CPE: cpe:/a:oracle:mysql

必要的 KB 項目: installed_sw/MySQL Server

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2020/10/20

弱點發布日期: 2020/10/20

參考資訊

CVE: CVE-2020-14672, CVE-2020-14765, CVE-2020-14769, CVE-2020-14793, CVE-2020-14812, CVE-2020-14867

IAVA: 2020-A-0473-S